package com.huashe.park.common.geo.convex;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class Point {
    /// <summary>
    /// x坐标
    /// </summary>
    public Double x;

    /// <summary>
    /// y坐标
    /// </summary>
    public Double y;

    /// <summary>
    /// 编号
    /// </summary>
    public Integer id;

    /// <summary>
    /// 到其他点的距离
    /// </summary>
    public double distance;

    public Point(double x, double y) {
        this.x = x;
        this.y = y;
    }
}
