package com.huashe.park.core.mapper;

import java.util.List;

import com.huashe.common.annotation.mybatis.Tenant;
import com.huashe.park.domain.dto.cons.ConsUnitResult;
import com.huashe.park.domain.entity.MachineProcessResult;

/**
 * 桩机施工结果数据（2025-02-26版协议）Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
public interface MachineProcessResultMapper {
    /**
     * 查询桩机施工结果数据（2025-02-26版协议）
     * 
     * @param id 桩机施工结果数据（2025-02-26版协议）主键
     * @return 桩机施工结果数据（2025-02-26版协议）
     */
    public MachineProcessResult selectMachineProcessResultById(Long id);

    /**
     * 查询桩机施工结果数据（2025-02-26版协议）列表
     * 
     * @param machineProcessResult 桩机施工结果数据（2025-02-26版协议）
     * @return 桩机施工结果数据（2025-02-26版协议）集合
     */
    public List<MachineProcessResult> selectMachineProcessResultList(MachineProcessResult machineProcessResult);

    /**
     * 新增桩机施工结果数据（2025-02-26版协议）
     * 
     * @param machineProcessResult 桩机施工结果数据（2025-02-26版协议）
     * @return 结果
     */
    public int insertMachineProcessResult(MachineProcessResult machineProcessResult);

    public int insertMachineProcessResultOnUpdate(MachineProcessResult machineProcessResult);

    /**
     * 修改桩机施工结果数据（2025-02-26版协议）
     * 
     * @param machineProcessResult 桩机施工结果数据（2025-02-26版协议）
     * @return 结果
     */
    public int updateMachineProcessResult(MachineProcessResult machineProcessResult);

    /**
     * 删除桩机施工结果数据（2025-02-26版协议）
     * 
     * @param id 桩机施工结果数据（2025-02-26版协议）主键
     * @return 结果
     */
    public int deleteMachineProcessResultById(Long id);

    /**
     * 批量删除桩机施工结果数据（2025-02-26版协议）
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMachineProcessResultByIds(Long[] ids);

    @Tenant(tableAlias = "cphir")
    List<ConsUnitResult> qeyConsUnitResult(Long consUnitId);

}
