package com.huashe.park.core.service;

import com.huashe.park.domain.entity.MachineProcessResult;

import java.util.List;

/**
 * 桩机施工结果数据（2025-02-26版协议）Service接口
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IMachineProcessResultService {
    /**
     * 查询桩机施工结果数据（2025-02-26版协议）
     * 
     * @param id 桩机施工结果数据（2025-02-26版协议）主键
     * @return 桩机施工结果数据（2025-02-26版协议）
     */
    public MachineProcessResult selectMachineProcessResultById(Long id);

    /**
     * 查询桩机施工结果数据（2025-02-26版协议）列表
     * 
     * @param machineProcessResult 桩机施工结果数据（2025-02-26版协议）
     * @return 桩机施工结果数据（2025-02-26版协议）集合
     */
    public List<MachineProcessResult> selectMachineProcessResultList(MachineProcessResult machineProcessResult);

    /**
     * 新增桩机施工结果数据（2025-02-26版协议）
     * 
     * @param machineProcessResult 桩机施工结果数据（2025-02-26版协议）
     * @return 结果
     */
    public int insertMachineProcessResult(MachineProcessResult machineProcessResult);

    /**
     * 修改桩机施工结果数据（2025-02-26版协议）
     * 
     * @param machineProcessResult 桩机施工结果数据（2025-02-26版协议）
     * @return 结果
     */
    public int updateMachineProcessResult(MachineProcessResult machineProcessResult);

    /**
     * 批量删除桩机施工结果数据（2025-02-26版协议）
     * 
     * @param ids 需要删除的桩机施工结果数据（2025-02-26版协议）主键集合
     * @return 结果
     */
    public int deleteMachineProcessResultByIds(Long[] ids);

    /**
     * 删除桩机施工结果数据（2025-02-26版协议）信息
     * 
     * @param id 桩机施工结果数据（2025-02-26版协议）主键
     * @return 结果
     */
    public int deleteMachineProcessResultById(Long id);

    List<String[]> qeyConsUnitResult(Long consUnitId);
}
