/*
 * 文 件 名:  RegionService
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2022/2/18
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.data.service;

import com.huashe.common.domain.model.Region;

import java.util.List;

/**
 * 区域接口
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2022/2/18]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface RegionService {
    /**
     * 查询全部行政区划
     *
     * @return 行政区划
     */
    List<Region> getAll();

    /**
     * 查询子区域
     *
     * @return 行政区划
     */
    List<Region> getRegion(Region param);

    /**
     * 查询地级市
     *
     * @return 区域列表
     */
    List<String> getPrefectureLevelCity();
}