/*
 * 文 件 名:  MqttConfig
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/5/6
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.config;


import com.ruoyi.ems.core.MqttTemplate;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;

/**
 * Mqtt配置Bean
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/5/6]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Configuration
public class MqttConfig {
    @Resource
    private MqttServerProperty mqttProperty;

    @Bean(name = "mqttTemplate")
    public MqttTemplate getMqttTemplate() throws MqttException {
        return new MqttTemplate(mqttProperty.getHost(), mqttProperty.getClientId());
    }
}