package com.huashe.park.cloud;

import com.dtflys.forest.springboot.annotation.ForestScan;
import com.ruoyi.common.security.annotation.EnableCustomConfig;
import com.ruoyi.common.security.annotation.EnableRyFeignClients;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 能源管理模块
 *
 * @author ruoyi
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication(scanBasePackages = {
        "com.huashe.park","com.ruoyi"
})
@MapperScan("com.huashe.park.core.mapper")
@ForestScan(basePackages = {"com.huashe.park.infrastructure.uwb"})
public class EmsApplication {
    public static void main(String[] args) {
        // System.setProperty(GrpcConstants.NACOS_SERVER_GRPC_PORT_OFFSET_KEY,"1");
        SpringApplication.run(EmsApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  安防启动成功   ლ(´ڡ`ლ)ﾞ  \n"
                + "  _    _                   _          \n"
                + " | |  | |                 | |         \n"
                + " | |__| |_   _  __ _   ___| |__   ___ \n"
                + " |  __  | | | |/ _` | / __| '_ \\ / _ \\\n"
                + " | |  | | |_| | (_| | \\__ \\ | | |  __/\n"
                + " |_|  |_|\\__,_|\\__,_| |___/_| |_|\\___|\n");
    }
}
