package com.huashe.park.domain.dto.cons;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.huashe.common.annotation.Excel;

import lombok.Data;

@Data
public class PileMachineVO {
    private static final long serialVersionUID = 1L;

    @JsonProperty("id")
    private String byteId;

    /** 桩机编号 */
    @Excel(name = "桩机编号")
    private String machineNum;

    /** 设备信息 */
    @Excel(name = "设备信息")
    @JsonProperty("name")
    private String equipment;

    private String no;

    @JsonIgnore
    private String pwd;

    private String sn;

    @JsonProperty("token")
    private String token;

    @JsonProperty("serverHost")
    private String serverHost;

    @JsonProperty("serverPort")
    private String serverPort;

    @JsonProperty("serverUserName")
    private String serverUserName;

    @JsonProperty("serverPassword")
    private String serverPassword;

    @JsonProperty("topic")
    private String topic;

    @JsonProperty("constructionP4")
    private String constructionP4;

    @JsonProperty("productKey")
    private String productKey;

    @JsonProperty("deviceSecret")
    private String deviceSecret;
}
