/*
 * 文 件 名:  IEmsCommonCache
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/2/13
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.core;

import com.ruoyi.ems.domain.FacsCategory;
import com.ruoyi.ems.domain.FacsSubCategory;

/**
 * 公共缓存
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/2/13]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface BaseCache {
    /**
     * 根据编码获取子分类信息
     *
     * @param code 编码
     * @return 子分类信息
     */
    FacsCategory getCategory(String code);

    /**
     * 根据编码获取子分类信息
     *
     * @param code 编码
     * @return 子分类信息
     */
    FacsSubCategory getSubCategory(String code);
}