package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsObjReportLog;

import java.util.List;

/**
 * 能源对象能力调用日志Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-27
 */
public interface EmsObjReportLogMapper {
    /**
     * 查询能源对象能力调用日志
     *
     * @param id 能源对象能力调用日志主键
     * @return 能源对象能力调用日志
     */
    EmsObjReportLog selectLogById(Long id);

    /**
     * 查询能源对象能力调用日志列表
     *
     * @param objReportLog 能源对象能力调用日志
     * @return 能源对象能力调用日志集合
     */
    List<EmsObjReportLog> selectLog(EmsObjReportLog objReportLog);

    /**
     * 新增能源对象能力调用日志
     *
     * @param objReportLog 能源对象能力调用日志
     * @return 结果
     */
    int insertLog(EmsObjReportLog objReportLog);
}
